RIO_SETUP_INB_DBELL(9)

NAME
rio_setup_inb_dbell - bind inbound doorbell callback

SYNOPSIS

int rio_setup_inb_dbell(struct rio_mport * mport, void * dev_id, struct resource * res, void (*dinb) (struct rio_mport * mport, void *dev_id, u16 src, u16 dst, u16 info));

ARGUMENTS

mport
    RIO master port to bind the doorbell callback

dev_id
    Device specific pointer to pass on event

res
    Doorbell message resource

dinb
    Callback to execute when doorbell is received

DESCRIPTION

Adds a doorbell resource/callback pair into a port's doorbell event list. Returns 0 if the request has been satisfied.

AUTHOR

Matt Porter <mporter@kernel.crashing.org>, <mporter@mvista.com>
    Author.

COPYRIGHT